#include <stdio.h>

#include "window.h"
#include <png.h>

#include "gl.h"

struct window *win;

void tick();

int main(int argc, char *argv[]) {

	printf("hello world\n");
	win = sw_window_create(sw_vec2i(640, 480), "Skunkworks");
	png_sig_cmp(0, 0, 0);
	glClearColor(0.1f, 0.2f, 0.3f, 1.f);

#ifdef __EMSCRIPTEN__
	emscripten_set_main_loop(tick, 0, 1);
#else
	while (!glfwWindowShouldClose(win->_window)) {
		tick();
	}
#endif

	return 0;
}

void tick() {
	glClear(GL_COLOR_BUFFER_BIT);
	glfwSwapBuffers(win->_window);
	glfwPollEvents();
}
